clang 10.0.0git

Namespaces | Macros | Enumerations | Functions
OperatorKinds.h File Reference

Defines an enumeration for C++ overloaded operators. More...

`#include "clang/Basic/OperatorKinds.def"`
Include dependency graph for OperatorKinds.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.

## Macros
#define | OVERLOADED_OPERATOR(Name, Spelling, Token, Unary, Binary, MemberOnly) OO_##Name,

## Enumerations
enum | clang::OverloadedOperatorKind : int { clang::OO_None, clang::NUM_OVERLOADED_OPERATORS }
| Enumeration specifying the different kinds of C++ overloaded operators. More...

## Functions
const char * | clang::getOperatorSpelling (OverloadedOperatorKind Operator)
| Retrieve the spelling of the given overloaded operator, without the preceding "operator" keyword. More...
OverloadedOperatorKind | clang::getRewrittenOverloadedOperator (OverloadedOperatorKind Kind)
| Get the other overloaded operator that the given operator can be rewritten into, if any such operator exists. More...

## Detailed Description

Defines an enumeration for C++ overloaded operators.

Definition in file OperatorKinds.h.

## Macro Definition Documentation

## ◆ OVERLOADED_OPERATOR

#define OVERLOADED_OPERATOR | ( |  | Name,
|  |  | Spelling,
|  |  | Token,
|  |  | Unary,
|  |  | Binary,
|  |  | MemberOnly
| ) |  | OO_##Name,

Definition at line 23 of file OperatorKinds.h.